build: false
clone_depth: 5

environment:
  # This sets the PHP version (from Chocolatey)
  PHPCI_CHOCO_VERSION: 7.3.1
  PHPCI_CACHE: C:\tools\phpci
  PHPCI_PHP: C:\tools\phpci\php
  PHPCI_COMPOSER: C:\tools\phpci\composer

cache:
  - '%PHPCI_CACHE% -> appveyor.yml'

init:
  - SET PATH=%PHPCI_PHP%;%PHPCI_COMPOSER%;%PATH%
  - SET COMPOSER_HOME=%PHPCI_COMPOSER%\home
  - SET COMPOSER_CACHE_DIR=%PHPCI_COMPOSER%\cache
  - SET COMPOSER_NO_INTERACTION=1
  - SET PHP=0
  - SET ANSICON=121x90 (121x90)

install:
  - IF EXIST %PHPCI_CACHE% (SET PHP=1)
  - IF %PHP%==0 cinst php -i -y --version %PHPCI_CHOCO_VERSION%  --params "/InstallDir:%PHPCI_PHP%"
  - IF %PHP%==0 cinst composer -i -y --ia "/DEV=%PHPCI_COMPOSER%"
  - php -v
  - IF %PHP%==0 (composer --version) ELSE (composer self-update)
  - cd %APPVEYOR_BUILD_FOLDER%
  - composer install --prefer-dist --no-progress

test_script:
  - cd %APPVEYOR_BUILD_FOLDER%
  - vendor\bin\phpunit --colors=always
